Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server
Class ProtegeRmiClassLoaderSpi

    java.lang.Object
      java.rmi.server.RMIClassLoaderSpi
          edu.stanford.smi.protege.server.ProtegeRmiClassLoaderSpi

    public class ProtegeRmiClassLoaderSpi

extends RMIClassLoaderSpi

TODO Class Comment

Author:
  Ray Fergerson

Constructor Summary
`ProtegeRmiClassLoaderSpi()`

Method Summary
`String` | `getClassAnnotation(Class<?> cl)`
`ClassLoader` | `getClassLoader(String codebase)`
`Class` | `loadClass(String codebase, String name, ClassLoader defaultLoader)`
`Class` | `loadProxyClass(String codebase, String[] interfaces, ClassLoader defaultLoader)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProtegeRmiClassLoaderSpi

    public ProtegeRmiClassLoaderSpi()

Method Detail

### loadClass

    public Class loadClass(String codebase,
                           String name,
                           ClassLoader defaultLoader)
                    throws MalformedURLException

  Specified by:
    `loadClass` in class `RMIClassLoaderSpi`
  Throws:
    `MalformedURLException`

### loadProxyClass

    public Class loadProxyClass(String codebase,
                                String[] interfaces,
                                ClassLoader defaultLoader)
                         throws MalformedURLException,
                                ClassNotFoundException

  Specified by:
    `loadProxyClass` in class `RMIClassLoaderSpi`
  Throws:
    `MalformedURLException`
    `ClassNotFoundException`

### getClassLoader

    public ClassLoader getClassLoader(String codebase)
                               throws MalformedURLException

  Specified by:
    `getClassLoader` in class `RMIClassLoaderSpi`
  Throws:
    `MalformedURLException`

### getClassAnnotation

    public String getClassAnnotation(Class<?> cl)

  Specified by:
    `getClassAnnotation` in class `RMIClassLoaderSpi`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.